BasicComboPopup.ListMouseMotionHandler (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicComboPopup.ListMouseMotionHandler class
Date: 2018-07-01

javax.swing.plaf.basic

## Class BasicComboPopup.ListMouseMotionHandler

- java.lang.Object
- - java.awt.event.MouseMotionAdapter
  - - javax.swing.plaf.basic.BasicComboPopup.ListMouseMotionHandler

- All Implemented Interfaces:
    MouseMotionListener, EventListener
  Enclosing class:
    BasicComboPopup

      protected class BasicComboPopup.ListMouseMotionHandler
      extends MouseMotionAdapter

  This listener changes the selected item as you move the mouse over the list. The selection change is not committed to the model, this is for user feedback only.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ListMouseMotionHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mouseMoved(MouseEvent anEvent)` Invoked when the mouse button has been moved on a component (with no buttons no down).

    - ### Methods inherited from class java.awt.event.MouseMotionAdapter

      `mouseDragged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListMouseMotionHandler

          protected ListMouseMotionHandler()

  - ### Method Detail

    - #### mouseMoved

          public void mouseMoved(MouseEvent anEvent)

      Description copied from class: `MouseMotionAdapter`
      Invoked when the mouse button has been moved on a component (with no buttons no down).
      Specified by:
        `mouseMoved` in interface `MouseMotionListener`
      Overrides:
        `mouseMoved` in class `MouseMotionAdapter`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.